help with mysqll.lua

keep getting this error and i have tryed everything… i need the .lua

Couldn’t include file ‘includes\modules mysql4.lua’ (File not found) (@lua/includes/modules/mysqloo.lua (line 3))

[ERROR] lua/includes/modules/mysqloo.lua:3: Module not found!

  1. require - [C]:-1
  2. unknown - lua/includes/modules/mysqloo.lua:3
    3. require - [C]:-1

i have tryed everything…

if not already, you need the libmysql module in your SRCDS root folder (some hosts restrict access to the root, companies such as NFOServers have an autoinstaller for libmysql).

you also need to have the tmysql4 module in your garrysmod/lua/bin directory

Link to tmysql: https://github.com/bkacjios/gm_tmysql4/releases

Install (preferably) the windows version unless you know for a fact your hosting off of a Linux machine.

still not working…

it needs this .lua

Couldn’t include file ‘includes\modules mysql4.lua’ (File not found) (@lua/includes/modules/mysqloo.lua (line 3))

[ERROR] lua/includes/modules/mysqloo.lua:3: Module not found!

  1. require - [C]:-1
  2. unknown - lua/includes/modules/mysqloo.lua:3

it does NOT need a .lua, it merely needs the tmysql / mysqloo module; you obviously aren’t doing something correctly.

just give me the .lua please?

[editline]3rd December 2016[/editline]

do u have skype or something which u can help me over Skype share screens?

if you can’t understand the words “it doesn’t need a .lua”, then you’re probably beyond help.

yes i get that it dont need the .lua … ive follow the file sturtgure u give me and yet no results happen

You are installing it wrong, although you didn’t tell your server OS, what did you try and how did you perform the steps, you don’t deserve help

if you can’t do enough on your own part to supply sufficient details for us to help, i don’t think we can provide you with a solution that you’ll be able to understand.

these

if not already, you need the libmysql module in your SRCDS root folder (some hosts restrict access to the root, companies such as NFOServers have an autoinstaller for libmysql).

you also need to have the tmysql4 module in your garrysmod/lua/bin directory

Your writing is completely incoherent. I suggest rosetta stone…

Or provide screenshots and text people can actually read, and people might actually be able to help.

Place libmysql in root of your server, place the tmysql module in lua/bin. Make the folder if its not there. For most instances, its just clicking and draging files over a FTP client. You can look around for the libmysql module, the tmysql link has already been posted.

I’m just restating what others have said already. The steps are pretty simple.

I don’t think you are going to be able to help him.
Someone should just find a YT guide for him, that might help…

Edit* https://www.youtube.com/watch?v=o-bj7WJpzEc

YES i have placed Place libmysql in root of your server

place the tmysql module in lua/bin

done all that but its still asking for this .lua file thing/

Show screenshots of where you put the files.

Also the reason it is asking for a lua file is because it can’t find the dll, so it goes looking for a lua, it can’t find that either so it just says it can’t find the lua. The error is quite confusing yeah.

Probably the wrong module for your OS (linux, win32). Or you put it in root/lua/bin. I’m guessing you’re a child, so I don’t expect you to know what those words mean, but good luck I guess.

There should be a test of computer competence before you’re allowed to purchase a server… Maybe grammar/sentence structure as well, so that when they come here for help you can understand what they want.